### 项目自定义规范

只是一些建议性的东西，大家有什么好的想法，都可以提出来。

- 现在暂时定义为v1版本，所有的api以 /v1/模块/功能
- 采用restFul风格的URL
- 返回数据的格式，全部采用ResponseDto ,data字段为传递的数据
- 前后端分离，采用json格式进行数据传输
- 根据 ResponseDto 的code字段判断请求操作是否成功。如果失败，返回非200的请求码


## Docker部署说明
项目结构若采用docker部署，步骤如下：

- 登陆到镜像中心

使用命令终端运行命令：docker login --username=gxzcalyqy registry.cn-qingdao.aliyuncs.com
提示登陆成功，则操作成功。

- 打包

在项目根目录下，使用命令终端运行命令：gradlew dockerBuilder 或者直接执行任务，dockerBuilder,两种是一样的。

该步骤会自动打包，并且上传到配置的镜像中心。

- docker运行

在终端中运行命令：docker run -t --name registry -p 11001:11001 -e "EUREKA_INSTANCE_IP-ADDRESS=192.168.1.98" registry.cn-qingdao.aliyuncs.com/gxzc-envir/registry:1.0


## 更新日志

### 2018/10/19

- 添加docker打包task
- 添加配置中心
- 去除多余的依赖
- 删除原框架的内容