package cn.gygxzc.cloud.config.model

import com.baomidou.mybatisplus.annotation.IdType
import com.baomidou.mybatisplus.annotation.TableField
import com.baomidou.mybatisplus.annotation.TableId
import com.baomidou.mybatisplus.annotation.TableName
import java.util.*

/**
 * @author tuonina
 * @createTime 2019/4/12
 * 系统配置表
 */
@TableName("properties")
data class ConfigProperty(@TableId(type = IdType.AUTO)
                          var id: Int? = null,
                          @TableField("`key`")
                          var key: String? = null,
                          @TableField("`value`")
                          var value: String? = null,
                          var application: String? = null,
                          var profile: String? = null,
                          var label: String? = null,
                          var createBy: String? = null,
                          var createTime: Date? = null,
                          var updateTime: Date? = null,
                          var updateBy: String? = null,
                          @TableField("`desc`")
                          var desc: String? = null,
                          var remark: String? = null) {
}